GLSA-201408-10 : Libgcrypt: Side-channel attack

This script is Copyright (C) 2014-2015 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-201408-10
(Libgcrypt: Side-channel attack)

A vulnerability in the implementation of ElGamal decryption procedures
of Libgcrypt leaks information to various side-channels.

Impact :

A physical side-channel attack allows a remote attacker to fully extract
decryption keys during the decryption of a chosen ciphertext.

Workaround :

There is no known workaround at this time.

See also :

https://security.gentoo.org/glsa/201408-10

Solution :

All Libgcrypt users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=dev-libs/libgcrypt-1.5.4'

Risk factor :

Low / CVSS Base Score : 2.1
(CVSS2#AV:L/AC:L/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 1.8
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Gentoo Local Security Checks

Nessus Plugin ID: 77454 ()

Bugtraq ID: 69164

CVE ID: CVE-2014-5270

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now